﻿@model IEnumerable<LMS.Models.Book>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                BookID
            </th>
            <th>
                Name
            </th>
            <th>
                Faculty
            </th>
            <th>
                Status
            </th>
            <th>
                Author
            </th>
            <th>
                PublishedDate
            </th>
            <th>
                CreatedTS
            </th>
            <th>
                CreatedBy
            </th>
            <th>
                ModifiedTS
            </th>
            <th>
                ModifiedBy
            </th>

            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.BookID)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Faculty)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Author)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PublishedDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedTS)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedBy)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ModifiedTS)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ModifiedBy)
            </td>

            <td>
                <a asp-action="Edit" class="text-danger" asp-route-id="@item.BookID">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.BookID">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.BookID">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
